Bug 1028539 - Updating kernel gives unaligned pointer 0xa in grub
Updating kernel gives unaligned pointer 0xa in grub
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 13:00 EST by Victor Ion Munteanu
Modified: 2015-02-17 14:09 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:09:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Ion Munteanu 2013-11-08 13:00:25 EST
Description of problem:
Everytime the kernel gets updated, after the selection of the newly installed kernel in grub2 I get:

Secure boot not enabled (irelevant)
Unaligned pointer 0xa

Press any key to continue (This causes by seconday OS to boot)

In order to fix this I usually run:
grub2-mkconfig -o /boot/grub2/grub.cfg

Which fixes things.


Version-Release number of selected component (if applicable):
grub2-2.00-23.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. yum update
2. reboot
3.

Actual results:
Can not boot into the latest kernel

Expected results:
Booting should be ok

Additional info:
Comment 1 michael.faille 2014-01-06 00:36:25 EST
Same problem.
Comment 2 Erik Faye-Lund 2014-04-04 04:28:56 EDT
I just experienced the same issue when updating the kernel to version 3.13.7-200. Generating a new grub-config did the trick for me, but it's still a bit worrysome IMO.
Comment 3 Frank Ch. Eigler 2014-04-21 10:25:03 EDT
(This could be a grubby problem, running the non-efi grub2-mkconfig before the efi one.)
Comment 4 Erik Faye-Lund 2014-05-28 04:21:18 EDT
This continues to happen for every kernel update for me. While it's reasonably easy to work around, it's a bit annoying. Anything I can do to try to fix it once and for all?
Comment 5 Erik Faye-Lund 2014-08-05 07:38:37 EDT
I can no longer reproduce this, so it seems the issue have been fixed.
Comment 6 Victor Ion Munteanu 2014-08-05 08:21:57 EDT
It hasn't happened to me either in a long while. I'd say close this bug?!?
Comment 7 Fedora End Of Life 2015-01-09 15:31:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 14:09:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.